Index: trunk/kernel/obj.tsar/arch/tsar/arch.d
===================================================================
--- trunk/kernel/obj.tsar/arch/tsar/arch.d	(revision 1)
+++ trunk/kernel/obj.tsar/arch/tsar/arch.d	(revision 1)
@@ -0,0 +1,12 @@
+obj.tsar/arch/tsar/arch.o: arch/tsar/arch.c libk/errno.h vfs/vfs-errno.h \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h kern/thread.h libk/list.h kern/kmagics.h kern/spinlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/cluster.h mm/ppm.h mm/heap_manager.h drivers/soclib/soclib_xicu.h
Index: trunk/kernel/obj.tsar/arch/tsar/arch_init.d
===================================================================
--- trunk/kernel/obj.tsar/arch/tsar/arch_init.d	(revision 1)
+++ trunk/kernel/obj.tsar/arch/tsar/arch_init.d	(revision 1)
@@ -0,0 +1,18 @@
+obj.tsar/arch/tsar/arch_init.o: arch/tsar/arch_init.c libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/types.h libk/stdint.h libk/list.h \
+ kern/kmagics.h libk/bits.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h kern/spinlock.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/errno.h vfs/vfs-errno.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/cluster.h kern/mcs_sync.h mm/ppm.h kern/wait_queue.h kern/kdmsg.h \
+ libk/boot-info.h mm/heap_manager.h kern/thread.h kern/task.h \
+ kern/rwlock.h mm/vmm.h libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h \
+ mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h vfs/vfs-params.h \
+ vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/keysdb.h kern/signal.h mm/page.h \
+ drivers/soclib/drvdb.h drivers/soclib/soclib_xicu.h \
+ drivers/soclib/soclib_iopic.h libk/arch-bib.h
Index: trunk/kernel/obj.tsar/arch/tsar/kdmsg.d
===================================================================
--- trunk/kernel/obj.tsar/arch/tsar/kdmsg.d	(revision 1)
+++ trunk/kernel/obj.tsar/arch/tsar/kdmsg.d	(revision 1)
@@ -0,0 +1,12 @@
+obj.tsar/arch/tsar/kdmsg.o: arch/tsar/kdmsg.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h kern/cpu.h libk/utils.h \
+ kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h \
+ arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h libk/list.h \
+ kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ kern/spinlock.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h \
+ libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ drivers/soclib/soclib_tty.h kern/distlock.h kern/mcs_sync.h kern/kdmsg.h \
+ libk/boot-info.h kern/thread.h kern/wait_queue.h
Index: trunk/kernel/obj.tsar/arch/tsar/mmu-info.d
===================================================================
--- trunk/kernel/obj.tsar/arch/tsar/mmu-info.d	(revision 1)
+++ trunk/kernel/obj.tsar/arch/tsar/mmu-info.d	(revision 1)
@@ -0,0 +1,4 @@
+obj.tsar/arch/tsar/mmu-info.o: arch/tsar/mmu-info.c arch/tsar/mmu-info.h \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h libk/bits.h
Index: trunk/kernel/obj.tsar/arch/tsar/pmm.d
===================================================================
--- trunk/kernel/obj.tsar/arch/tsar/pmm.d	(revision 1)
+++ trunk/kernel/obj.tsar/arch/tsar/pmm.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/arch/tsar/pmm.o: arch/tsar/pmm.c libk/errno.h vfs/vfs-errno.h \
+ libk/bits.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h kern/task.h libk/list.h kern/kmagics.h kern/spinlock.h \
+ kern/atomic.h kern/rwlock.h kern/wait_queue.h kern/kdmsg.h \
+ kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h mm/vmm.h libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h \
+ mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h vfs/vfs-params.h \
+ vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/keysdb.h kern/signal.h kern/thread.h kern/cluster.h \
+ mm/ppm.h mm/heap_manager.h mm/page.h arch/tsar/mmu-info.h
Index: trunk/kernel/obj.tsar/arch/tsar/rt_timer.d
===================================================================
--- trunk/kernel/obj.tsar/arch/tsar/rt_timer.d	(revision 1)
+++ trunk/kernel/obj.tsar/arch/tsar/rt_timer.d	(revision 1)
@@ -0,0 +1,10 @@
+obj.tsar/arch/tsar/rt_timer.o: arch/tsar/rt_timer.c libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h libk/errno.h \
+ vfs/vfs-errno.h kern/rt_timer.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h libk/list.h kern/kmagics.h \
+ kern/rr-sched.h kern/event.h kern/time.h kern/device.h kern/driver.h \
+ kern/metafs.h libk/libk.h libk/string.h libk/ctype.h kern/spinlock.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h
Index: trunk/kernel/obj.tsar/cpu/mipsel/__cpu_context.d
===================================================================
--- trunk/kernel/obj.tsar/cpu/mipsel/__cpu_context.d	(revision 1)
+++ trunk/kernel/obj.tsar/cpu/mipsel/__cpu_context.d	(revision 1)
@@ -0,0 +1,2 @@
+obj.tsar/cpu/mipsel/__cpu_context.o: cpu/mipsel/__cpu_context.S \
+ cpu/mipsel/cpu-regs.h
Index: trunk/kernel/obj.tsar/cpu/mipsel/__cpu_kentry.d
===================================================================
--- trunk/kernel/obj.tsar/cpu/mipsel/__cpu_kentry.d	(revision 1)
+++ trunk/kernel/obj.tsar/cpu/mipsel/__cpu_kentry.d	(revision 1)
@@ -0,0 +1,2 @@
+obj.tsar/cpu/mipsel/__cpu_kentry.o: cpu/mipsel/__cpu_kentry.S \
+ cpu/mipsel/cpu-regs.h libk/boot-info.h
Index: trunk/kernel/obj.tsar/cpu/mipsel/__cpu_uspace.d
===================================================================
--- trunk/kernel/obj.tsar/cpu/mipsel/__cpu_uspace.d	(revision 1)
+++ trunk/kernel/obj.tsar/cpu/mipsel/__cpu_uspace.d	(revision 1)
@@ -0,0 +1,2 @@
+obj.tsar/cpu/mipsel/__cpu_uspace.o: cpu/mipsel/__cpu_uspace.S \
+ libk/errno.h vfs/vfs-errno.h
Index: trunk/kernel/obj.tsar/cpu/mipsel/__kheader.d
===================================================================
--- trunk/kernel/obj.tsar/cpu/mipsel/__kheader.d	(revision 1)
+++ trunk/kernel/obj.tsar/cpu/mipsel/__kheader.d	(revision 1)
@@ -0,0 +1,2 @@
+obj.tsar/cpu/mipsel/__kheader.o: cpu/mipsel/__kheader.S \
+ cpu/mipsel/cpu-regs.h libk/boot-info.h
Index: trunk/kernel/obj.tsar/cpu/mipsel/cpu_context.d
===================================================================
--- trunk/kernel/obj.tsar/cpu/mipsel/cpu_context.d	(revision 1)
+++ trunk/kernel/obj.tsar/cpu/mipsel/cpu_context.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/cpu/mipsel/cpu_context.o: cpu/mipsel/cpu_context.c libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h kern/thread.h \
+ libk/list.h kern/kmagics.h kern/spinlock.h kern/wait_queue.h \
+ kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h \
+ kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h \
+ arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h \
+ kern/event.h kern/time.h kern/device.h kern/driver.h kern/metafs.h \
+ libk/libk.h libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h \
+ kern/atomic.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h kern/task.h kern/rwlock.h mm/vmm.h libk/rbtree.h \
+ mm/pmm.h arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h kern/radix.h \
+ vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h \
+ fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h kern/keysdb.h \
+ kern/signal.h kern/cluster.h mm/ppm.h mm/heap_manager.h
Index: trunk/kernel/obj.tsar/cpu/mipsel/cpu_do_exception.d
===================================================================
--- trunk/kernel/obj.tsar/cpu/mipsel/cpu_do_exception.d	(revision 1)
+++ trunk/kernel/obj.tsar/cpu/mipsel/cpu_do_exception.d	(revision 1)
@@ -0,0 +1,17 @@
+obj.tsar/cpu/mipsel/cpu_do_exception.o: cpu/mipsel/cpu_do_exception.c \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h kern/task.h libk/list.h kern/kmagics.h libk/bits.h \
+ kern/spinlock.h kern/atomic.h kern/rwlock.h kern/wait_queue.h \
+ kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h \
+ kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h \
+ arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h \
+ kern/event.h kern/time.h kern/device.h kern/driver.h kern/metafs.h \
+ libk/libk.h libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/errno.h vfs/vfs-errno.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h mm/vmm.h \
+ libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h \
+ kern/radix.h vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ kern/keysdb.h kern/signal.h kern/thread.h kern/distlock.h \
+ kern/cpu-trace.h arch/tsar/mmu-info.h
Index: trunk/kernel/obj.tsar/cpu/mipsel/cpu_do_interrupt.d
===================================================================
--- trunk/kernel/obj.tsar/cpu/mipsel/cpu_do_interrupt.d	(revision 1)
+++ trunk/kernel/obj.tsar/cpu/mipsel/cpu_do_interrupt.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/cpu/mipsel/cpu_do_interrupt.o: cpu/mipsel/cpu_do_interrupt.c \
+ kern/cpu.h libk/utils.h libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h kern/spinlock.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h \
+ kern/atomic.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h kern/thread.h kern/wait_queue.h kern/kdmsg.h \
+ kern/mcs_sync.h libk/boot-info.h kern/task.h kern/rwlock.h mm/vmm.h \
+ libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h \
+ kern/radix.h vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ kern/keysdb.h kern/signal.h kern/interrupt.h
Index: trunk/kernel/obj.tsar/cpu/mipsel/cpu_do_syscall.d
===================================================================
--- trunk/kernel/obj.tsar/cpu/mipsel/cpu_do_syscall.d	(revision 1)
+++ trunk/kernel/obj.tsar/cpu/mipsel/cpu_do_syscall.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/cpu/mipsel/cpu_do_syscall.o: cpu/mipsel/cpu_do_syscall.c \
+ libk/errno.h vfs/vfs-errno.h kern/syscall.h kern/cpu.h libk/utils.h \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h \
+ kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h \
+ kern/device.h kern/driver.h kern/metafs.h libk/libk.h libk/string.h \
+ libk/ctype.h kern/spinlock.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/bits.h kern/atomic.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h mm/pmm.h arch/tsar/arch-pmm.h \
+ kern/thread.h kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h kern/task.h kern/rwlock.h mm/vmm.h libk/rbtree.h \
+ mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h vfs/vfs-params.h \
+ vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/keysdb.h kern/signal.h kern/interrupt.h
Index: trunk/kernel/obj.tsar/cpu/mipsel/cpu_uzone.d
===================================================================
--- trunk/kernel/obj.tsar/cpu/mipsel/cpu_uzone.d	(revision 1)
+++ trunk/kernel/obj.tsar/cpu/mipsel/cpu_uzone.d	(revision 1)
@@ -0,0 +1,15 @@
+obj.tsar/cpu/mipsel/cpu_uzone.o: cpu/mipsel/cpu_uzone.c libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h kern/cpu.h \
+ libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h \
+ kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h \
+ kern/device.h kern/driver.h kern/metafs.h libk/libk.h libk/string.h \
+ libk/ctype.h kern/spinlock.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/task.h kern/rwlock.h kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h mm/vmm.h libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h \
+ mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h vfs/vfs-params.h \
+ vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/keysdb.h kern/signal.h kern/thread.h
Index: trunk/kernel/obj.tsar/drivers/soclib/drvdb.d
===================================================================
--- trunk/kernel/obj.tsar/drivers/soclib/drvdb.d	(revision 1)
+++ trunk/kernel/obj.tsar/drivers/soclib/drvdb.d	(revision 1)
@@ -0,0 +1,11 @@
+obj.tsar/drivers/soclib/drvdb.o: drivers/soclib/drvdb.c libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h libk/errno.h \
+ vfs/vfs-errno.h libk/libk.h libk/string.h libk/ctype.h kern/event.h \
+ libk/list.h kern/kmagics.h kern/device.h kern/driver.h kern/metafs.h \
+ kern/spinlock.h mm/kmem.h mm/kcm.h drivers/soclib/drvdb.h \
+ drivers/soclib/soclib_xicu.h libk/bits.h drivers/soclib/soclib_icu.h \
+ drivers/soclib/soclib_tty.h drivers/soclib/soclib_timer.h \
+ drivers/soclib/soclib_dma.h drivers/soclib/soclib_block.h \
+ drivers/soclib/soclib_fb.h drivers/soclib/soclib_memc.h \
+ drivers/soclib/soclib_iopic.h
Index: trunk/kernel/obj.tsar/drivers/soclib/soclib_block.d
===================================================================
--- trunk/kernel/obj.tsar/drivers/soclib/soclib_block.d	(revision 1)
+++ trunk/kernel/obj.tsar/drivers/soclib/soclib_block.d	(revision 1)
@@ -0,0 +1,17 @@
+obj.tsar/drivers/soclib/soclib_block.o: drivers/soclib/soclib_block.c \
+ kern/device.h kern/driver.h libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h libk/list.h kern/kmagics.h \
+ kern/event.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ kern/spinlock.h mm/kmem.h mm/kcm.h drivers/soclib/drvdb.h kern/cpu.h \
+ libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h \
+ kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ kern/rr-sched.h kern/time.h fs/sysfs/sysfs.h kern/rpc.h libk/errno.h \
+ vfs/vfs-errno.h libk/bits.h kern/atomic.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h kern/thread.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/task.h kern/rwlock.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h \
+ vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h \
+ fs/devfs/devfs.h kern/htable.h kern/keysdb.h kern/signal.h \
+ drivers/soclib/soclib_block.h kern/cpu-trace.h kern/distlock.h
Index: trunk/kernel/obj.tsar/drivers/soclib/soclib_dma.d
===================================================================
--- trunk/kernel/obj.tsar/drivers/soclib/soclib_dma.d	(revision 1)
+++ trunk/kernel/obj.tsar/drivers/soclib/soclib_dma.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/drivers/soclib/soclib_dma.o: drivers/soclib/soclib_dma.c \
+ libk/errno.h vfs/vfs-errno.h kern/cpu.h libk/utils.h libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h libk/list.h kern/kmagics.h \
+ kern/rr-sched.h kern/event.h kern/time.h kern/device.h kern/driver.h \
+ kern/metafs.h libk/libk.h libk/string.h libk/ctype.h kern/spinlock.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ drivers/soclib/drvdb.h kern/thread.h kern/wait_queue.h kern/kdmsg.h \
+ kern/mcs_sync.h libk/boot-info.h kern/task.h kern/rwlock.h mm/vmm.h \
+ libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h \
+ kern/radix.h vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ kern/keysdb.h kern/signal.h drivers/soclib/soclib_dma.h
Index: trunk/kernel/obj.tsar/drivers/soclib/soclib_fb.d
===================================================================
--- trunk/kernel/obj.tsar/drivers/soclib/soclib_fb.d	(revision 1)
+++ trunk/kernel/obj.tsar/drivers/soclib/soclib_fb.d	(revision 1)
@@ -0,0 +1,17 @@
+obj.tsar/drivers/soclib/soclib_fb.o: drivers/soclib/soclib_fb.c \
+ kern/cpu.h libk/utils.h libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h kern/spinlock.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h \
+ kern/atomic.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h drivers/soclib/drvdb.h vfs/vfs.h kern/rwlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h kern/radix.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ drivers/soclib/soclib_fb.h kern/thread.h kern/task.h mm/vmm.h \
+ libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h mm/vm_region.h kern/keysdb.h \
+ kern/signal.h kern/dma.h
Index: trunk/kernel/obj.tsar/drivers/soclib/soclib_icu.d
===================================================================
--- trunk/kernel/obj.tsar/drivers/soclib/soclib_icu.d	(revision 1)
+++ trunk/kernel/obj.tsar/drivers/soclib/soclib_icu.d	(revision 1)
@@ -0,0 +1,13 @@
+obj.tsar/drivers/soclib/soclib_icu.o: drivers/soclib/soclib_icu.c \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h libk/list.h kern/kmagics.h \
+ kern/rr-sched.h kern/event.h kern/time.h kern/device.h kern/driver.h \
+ kern/metafs.h libk/libk.h libk/string.h libk/ctype.h kern/spinlock.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/errno.h \
+ vfs/vfs-errno.h libk/bits.h kern/atomic.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h drivers/soclib/drvdb.h \
+ drivers/soclib/soclib_icu.h kern/cpu-trace.h kern/kdmsg.h \
+ kern/mcs_sync.h libk/boot-info.h kern/thread.h kern/wait_queue.h
Index: trunk/kernel/obj.tsar/drivers/soclib/soclib_iopic.d
===================================================================
--- trunk/kernel/obj.tsar/drivers/soclib/soclib_iopic.d	(revision 1)
+++ trunk/kernel/obj.tsar/drivers/soclib/soclib_iopic.d	(revision 1)
@@ -0,0 +1,17 @@
+obj.tsar/drivers/soclib/soclib_iopic.o: drivers/soclib/soclib_iopic.c \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h kern/system.h kern/hal-arch.h arch/tsar/arch.h kern/cpu.h \
+ libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h kern/spinlock.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h \
+ kern/atomic.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h drivers/soclib/drvdb.h drivers/soclib/soclib_iopic.h \
+ kern/cpu-trace.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/thread.h kern/wait_queue.h kern/task.h kern/rwlock.h mm/vmm.h \
+ libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h \
+ kern/radix.h vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ kern/keysdb.h kern/signal.h
Index: trunk/kernel/obj.tsar/drivers/soclib/soclib_memc.d
===================================================================
--- trunk/kernel/obj.tsar/drivers/soclib/soclib_memc.d	(revision 1)
+++ trunk/kernel/obj.tsar/drivers/soclib/soclib_memc.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/drivers/soclib/soclib_memc.o: drivers/soclib/soclib_memc.c \
+ libk/bits.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h kern/device.h kern/driver.h libk/list.h kern/kmagics.h \
+ kern/event.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ kern/spinlock.h mm/kmem.h mm/kcm.h drivers/soclib/drvdb.h libk/errno.h \
+ vfs/vfs-errno.h vfs/vfs.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ kern/atomic.h kern/rwlock.h kern/wait_queue.h kern/kdmsg.h \
+ kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h kern/scheduler.h \
+ kern/rr-sched.h kern/time.h fs/sysfs/sysfs.h kern/rpc.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h kern/radix.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ drivers/soclib/soclib_memc.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h kern/keysdb.h
Index: trunk/kernel/obj.tsar/drivers/soclib/soclib_timer.d
===================================================================
--- trunk/kernel/obj.tsar/drivers/soclib/soclib_timer.d	(revision 1)
+++ trunk/kernel/obj.tsar/drivers/soclib/soclib_timer.d	(revision 1)
@@ -0,0 +1,13 @@
+obj.tsar/drivers/soclib/soclib_timer.o: drivers/soclib/soclib_timer.c \
+ kern/system.h kern/hal-arch.h libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h arch/tsar/arch.h kern/cpu.h \
+ libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h kern/spinlock.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h \
+ kern/atomic.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h kern/thread.h kern/wait_queue.h kern/kdmsg.h \
+ kern/mcs_sync.h libk/boot-info.h drivers/soclib/soclib_timer.h \
+ drivers/soclib/drvdb.h kern/cpu-trace.h
Index: trunk/kernel/obj.tsar/drivers/soclib/soclib_tty.d
===================================================================
--- trunk/kernel/obj.tsar/drivers/soclib/soclib_tty.d	(revision 1)
+++ trunk/kernel/obj.tsar/drivers/soclib/soclib_tty.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/drivers/soclib/soclib_tty.o: drivers/soclib/soclib_tty.c \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h kern/system.h kern/hal-arch.h \
+ libk/types.h libk/stdint.h arch/tsar/arch.h kern/cpu.h libk/utils.h \
+ kern/hal-cpu.h cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h kern/spinlock.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h \
+ kern/atomic.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h vfs/vfs.h kern/rwlock.h kern/wait_queue.h \
+ kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h vfs/vfs-params.h \
+ vfs/vfs-private.h mm/mapper.h kern/radix.h kern/ku_transfert.h \
+ fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h drivers/soclib/drvdb.h \
+ drivers/soclib/soclib_tty.h kern/distlock.h kern/cpu-trace.h \
+ kern/thread.h kern/mwmr.h
Index: trunk/kernel/obj.tsar/drivers/soclib/soclib_xicu.d
===================================================================
--- trunk/kernel/obj.tsar/drivers/soclib/soclib_xicu.d	(revision 1)
+++ trunk/kernel/obj.tsar/drivers/soclib/soclib_xicu.d	(revision 1)
@@ -0,0 +1,17 @@
+obj.tsar/drivers/soclib/soclib_xicu.o: drivers/soclib/soclib_xicu.c \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h kern/system.h kern/hal-arch.h arch/tsar/arch.h kern/cpu.h \
+ libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h libk/list.h kern/kmagics.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h kern/spinlock.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h \
+ kern/atomic.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h drivers/soclib/drvdb.h drivers/soclib/soclib_xicu.h \
+ kern/cpu-trace.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/thread.h kern/wait_queue.h kern/task.h kern/rwlock.h mm/vmm.h \
+ libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h \
+ kern/radix.h vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ kern/keysdb.h kern/signal.h
Index: trunk/kernel/obj.tsar/fs/devfs/devfs_context.d
===================================================================
--- trunk/kernel/obj.tsar/fs/devfs/devfs_context.d	(revision 1)
+++ trunk/kernel/obj.tsar/fs/devfs/devfs_context.d	(revision 1)
@@ -0,0 +1,14 @@
+obj.tsar/fs/devfs/devfs_context.o: fs/devfs/devfs_context.c kern/device.h \
+ kern/driver.h libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h libk/list.h kern/kmagics.h kern/event.h kern/metafs.h \
+ libk/libk.h libk/string.h libk/ctype.h kern/spinlock.h mm/kmem.h \
+ mm/kcm.h vfs/vfs.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ libk/errno.h vfs/vfs-errno.h kern/atomic.h kern/rwlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/time.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h vfs/vfs-params.h \
+ vfs/vfs-private.h mm/mapper.h kern/radix.h kern/ku_transfert.h \
+ fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h fs/devfs/devfs-private.h
Index: trunk/kernel/obj.tsar/fs/devfs/devfs_file.d
===================================================================
--- trunk/kernel/obj.tsar/fs/devfs/devfs_file.d	(revision 1)
+++ trunk/kernel/obj.tsar/fs/devfs/devfs_file.d	(revision 1)
@@ -0,0 +1,15 @@
+obj.tsar/fs/devfs/devfs_file.o: fs/devfs/devfs_file.c libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h kern/device.h kern/driver.h libk/types.h \
+ libk/stdint.h libk/list.h kern/kmagics.h kern/event.h kern/metafs.h \
+ libk/libk.h libk/string.h libk/ctype.h kern/spinlock.h mm/kmem.h \
+ mm/kcm.h vfs/vfs.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ libk/errno.h vfs/vfs-errno.h kern/atomic.h kern/rwlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/time.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/bits.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h vfs/vfs-params.h \
+ vfs/vfs-private.h mm/mapper.h kern/radix.h kern/ku_transfert.h \
+ fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h kern/thread.h \
+ fs/devfs/devfs-private.h
Index: trunk/kernel/obj.tsar/fs/devfs/devfs_node.d
===================================================================
--- trunk/kernel/obj.tsar/fs/devfs/devfs_node.d	(revision 1)
+++ trunk/kernel/obj.tsar/fs/devfs/devfs_node.d	(revision 1)
@@ -0,0 +1,14 @@
+obj.tsar/fs/devfs/devfs_node.o: fs/devfs/devfs_node.c libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h mm/kmem.h libk/types.h libk/stdint.h mm/kcm.h \
+ libk/list.h kern/kmagics.h kern/spinlock.h libk/string.h kern/kdmsg.h \
+ kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/ctype.h fs/sysfs/sysfs.h kern/rpc.h libk/errno.h vfs/vfs-errno.h \
+ libk/bits.h kern/atomic.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h vfs/vfs.h kern/rwlock.h kern/wait_queue.h \
+ vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h kern/radix.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ fs/devfs/devfs-private.h
